- Main Page
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cMeta3dofPointer Class Reference

cMeta3dofPointer connects a generic haptic device as a simple pointer in space. The tool is visually graphically rendered by a small sphere illustrating the tip of the device. The tool tries to connect to a a SensAble device, a ForceDimension device (delta/omega), and a Freedom-6 (in that order); if none are available it loads a virtual haptic device. More...

`#include <CMeta3dofPointer.h>`

Inheritance diagram for cMeta3dofPointer:

List of all members.

## Public Member Functions
| cMeta3dofPointer (cWorld *a_world, unsigned int a_deviceNumber=0, bool a_dio_access=false)
| Constructor of cPhantom3dofPointer.
virtual | ~cMeta3dofPointer ()
| Destructor of cPhantom3dofPointer.
int | getPhysicalDevice () const

## Detailed Description

cMeta3dofPointer connects a generic haptic device as a simple pointer in space. The tool is visually graphically rendered by a small sphere illustrating the tip of the device. The tool tries to connect to a a SensAble device, a ForceDimension device (delta/omega), and a Freedom-6 (in that order); if none are available it loads a virtual haptic device.

## Constructor & Destructor Documentation

cMeta3dofPointer::cMeta3dofPointer | ( | cWorld * | a_world,
|  | unsigned int | a_deviceNumber = `0`,
|  | bool | dio_access = `false` |
| ) |  |  |

Constructor of cPhantom3dofPointer.

Constructor of cMeta3dofPointer.

Parameters:

  | a_world | World in which the tool will operate.
  | a_deviceNumber | 0-based index used to try to open a phantom device.
  | dio_access | Also used only if the tool ends up being a phantom AND you're running GHOST, not OpenHaptics. If you're not using a Phantom or you're using OpenHaptics, ignore this parameter.

For Ghost, if dio_access is 'true', the tool will use the Ghost API's direct-i/o model, if it's available. Otherwise the gstEffect i/o model will be used.

cMeta3dofPointer::~cMeta3dofPointer | ( |  | ) | `[virtual]`

Destructor of cPhantom3dofPointer.

Destructor of cMeta3dofPointer.

## Member Function Documentation

int cMeta3dofPointer::getPhysicalDevice | ( |  | ) | const`[inline]`

Asks which physical device the meta pointer is communicating with; returns -1 for uninitialized or a value from the constants above

The documentation for this class was generated from the following files:

- chai3d/src/tools/CMeta3dofPointer.h
- chai3d/src/tools/CMeta3dofPointer.cpp